> For the complete documentation index, see [llms.txt](https://docs.remote.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.remote.it/developer-tools/api/usage/access-keys.md).

# Access Keys

Access keys are used to authenticate you with our API. You can create a new key or delete an existing key at any time. You can also temporarily disable a key.

## Creating an Access Key

{% hint style="warning" %}
**If you lose or forget your secret key, you cannot retrieve it.** You can create a new access key and disable/delete the other. There is a limit of 2 access keys.
{% endhint %}

```
mutation {
  createAccessKey {
    key
    secret
  }
}
```

Response Example

```
{
  "data": {
    "createAccessKey": {
      "key": "YX62XXXXXXXXXX6YB",
      "secret": "XXXXXXXXXXXXXX"
    }
  }
}
```

## Disable/Enable an Access Key

This request will disable/enable an existing access key. Arguments must pass the access key id (not the secret) and enabled as a boolean

```
mutation {
    updateAccessKey(key:"YX62XXXXXXXXXX6YB", enabled: false) {
        key
        enabled
    }
}
```

Response Example

```
{
  "data": {
    "updateAccessKey": {
      "key": "YX62XXXXXXXXXX6YB",
      "enabled": false
    }
  }
}
```

## Delete an Access Key

This mutation will delete the access key permanently.

{% hint style="danger" %}
Any API or CLI requests using this access key will start failing authentication when this is completed.
{% endhint %}

```
mutation {
  deleteAccessKey (key: "YXXXXXXXXXXXX6YB") 
}
```

Response Example

```
{
  "data": {
    "deleteAccessKey": true
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.remote.it/developer-tools/api/usage/access-keys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
